# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetTypeInfoReq

Packages that use TGetTypeInfoReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTypeInfoReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTypeInfoReq
Modifier and Type
Class
Description
`class`
`TGetTypeInfoReq`
`class`
`TGetTypeInfoReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetTypeInfoReq
Modifier and Type
Field
Description
`TGetTypeInfoReq`
TCLIService.GetTypeInfo_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTypeInfoReq
Modifier and Type
Method
Description
`TGetTypeInfoReq`
TGetTypeInfoReq.`deepCopy()`
`TGetTypeInfoReq`
TCLIService.GetTypeInfo_args.`getReq()`
`TGetTypeInfoReq`
TGetTypeInfoReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetTypeInfoReq`
TGetTypeInfoReq.`setRunAsync(boolean runAsync)`
`TGetTypeInfoReq`
TGetTypeInfoReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTypeInfoReq
Modifier and Type
Method
Description
`int`
TGetTypeInfoReq.`compareTo(TGetTypeInfoReq other)`
`boolean`
TGetTypeInfoReq.`equals(TGetTypeInfoReq that)`
`void`
TCLIService.AsyncClient.`GetTypeInfo(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetTypeInfo(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
`TGetTypeInfoResp`
TCLIService.Client.`GetTypeInfo(TGetTypeInfoReq req)`
`TGetTypeInfoResp`
TCLIService.Iface.`GetTypeInfo(TGetTypeInfoReq req)`
`void`
TCLIService.Client.`send_GetTypeInfo(TGetTypeInfoReq req)`
`TCLIService.GetTypeInfo_args`
TCLIService.GetTypeInfo_args.`setReq(TGetTypeInfoReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTypeInfoReq
Modifier
Constructor
Description
``
`GetTypeInfo_args(TGetTypeInfoReq req)`
``
`GetTypeInfo_call(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetTypeInfoReq(TGetTypeInfoReq other)`
Performs a deep copy on other.